%define version 0.7.2
%define release 2mdk

Summary: 	Collection of simple PIN or passphrase entry dialogs
Name: 		pinentry
Version: 	%{version}
Release: 	%{release}
Source0: 	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
License: 	GPL
Group: 		System/Kernel and hardware
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: 		http://www.gnupg.org/

BuildRequires:	gtk+-devel
BuildRequires:	libgtk+2.0-devel
#BuildRequires:	libcap-devel
BuildRequires:	ncurses-devel
BuildRequires:	qt3-devel

%description 
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

%package	gtk
Summary:	GTK+ interface of pinentry
Group: 		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	gtk
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides GTK+ interface of the dialog.

%package	qt
Summary:	QT interface of pinentry
Group: 		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	qt
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides QT interface of the dialog.

%prep
%setup -q

%build
export QTLIB="%{_prefix}/lib/qt3/%{_lib}"
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#ln -s pinentry-curses %{buildroot}%{_bindir}/pinentry

%clean
rm -rf %{buildroot}

%post 
%_install_info %{name}.info

%preun 
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%{_bindir}/pinentry
%{_bindir}/pinentry-curses
%{_infodir}/*.info*

%files gtk
%defattr(-,root,root)
%{_bindir}/pinentry-gtk
%_bindir/pinentry-gtk-2

%files qt
%defattr(-,root,root)
%{_bindir}/pinentry-qt

%changelog
* Sat May 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7.2-2mdk
- add BuildRequires: libgtk+2.0-devel

* Tue May 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1mdk
- 0.7.2

* Mon Mar 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7.1-4mdk
- fix build on lib64 platforms

* Tue Mar 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-3mdk
- Rebuild

* Sat Jun 19 2004 Abel Cheung <deaddog@deaddog.org> 0.7.1-2mdk
- Rebuild with new gcc

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 0.7.1-1mdk
- New version
- Don't build against libcap

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.7.0-1mdk
- New version
- Enable all interfaces

* Fri Nov 14 2003 Florin <florin@mandrakesoft.com> 0.6.9-2mdk
- rebuild

* Wed Apr 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.9-1mdk
- Update version

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.8-1mdk
- Update and fix spec file thanks to <fabrice-marie-sec@ifrance.com>

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-2mdk
- Fix link as report Jason Straight <jason@JeetKuneDoMaster.net>

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-1mdk
- update spec file from Fabrice MARIE <fabrice-marie-sec@ifrance.com>

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.5-1mdk
- Initial package
